【记录】vue-cli3 jest单元测试报错(不支持ES6)

在使用公司项目想尝试单元测试的时候, 公司使用的是jest, 发现提示了ES6相关的语法错误提示, 网上百度好多, 各种尝试依旧未能解决

最后的解决办法:

用vue-cli3 重新创建了一个带单元测试的项目, 然后发现运行成功, 于是把该项目的单元测试相关依赖版本拷贝到公司项目里, 于是公司项目成功运行 , ✌️

最后发现只需要把 babel-jest版本降一下就可以了,
2019-09-11-11-08-34

1
"babel-jest": "^23.6.0",

如果不生效记得把 package.lock文件删了

你的支持将鼓励我继续创作